diff --git a/doc/src/sgml/high-availability.sgml b/doc/src/sgml/high-availability.sgml
index b1ec461..a50e1f6 100644
*** a/doc/src/sgml/high-availability.sgml
--- b/doc/src/sgml/high-availability.sgml
*************** primary_conninfo = 'host=192.168.1.50 po
*** 865,870 ****
--- 865,879 ----
       process status of the WAL receiver process, displayed using the
       <command>ps</> command (see <xref linkend="monitoring-ps"> for details).
      </para>
+     <para>
+      You can retrieve a list of WAL sender processes via <link linkend="monitoring-stats-views-table">
+      <literal>pg_stat_replication</></link> view. Large differences between
+      <function>pg_current_xlog_location</> and <literal>sent_location</> field
+      might show the master server is under high load. On the other hand,
+      differences between <literal>sent_location</> and 
+      <function>pg_last_xlog_receive_location</> on the standby might show the
+      standby is under high load or network delay.
+     </para>
     </sect3>
  
    </sect2>
diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 739b8a2..b935107 100644
*** a/doc/src/sgml/monitoring.sgml
--- b/doc/src/sgml/monitoring.sgml
*************** postgres: <replaceable>user</> <replacea
*** 272,277 ****
--- 272,285 ----
       </row>
  
       <row>
+       <entry><structname>pg_stat_replication</><indexterm><primary>pg_stat_replication</primary></indexterm></entry>
+       <entry>One row per WAL sender process, showing process <acronym>ID</>,
+       user OID, user name, application name, client's address and port number,
+       times at which the server process, and transaction log location.
+      </entry>
+      </row>
+ 
+      <row>
        <entry><structname>pg_stat_database</><indexterm><primary>pg_stat_database</primary></indexterm></entry>
        <entry>One row per database, showing database OID, database name,
        number of active server processes connected to that database,
